Note: This is a public test instance of Red Hat Bugzilla. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback at bugzilla.redhat.com.

Bug 217603

Summary: Review Request: tachyon - Parallel / Multiprocessor Ray Tracing System
Product: [Fedora] Fedora Reporter: Dominik 'Rathann' Mierzejewski <dominik>
Component: Package ReviewAssignee: Mamoru TASAKA <mtasaka>
Status: CLOSED NEXTRELEASE QA Contact: Fedora Package Reviews List <fedora-package-review>
Severity: medium Docs Contact:
Priority: medium    
Version: rawhideCC: mtasaka
Target Milestone: ---Flags: gwync: fedora-cvs+
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2006-11-30 12:37:32 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:
Embargoed:
Bug Depends On:    
Bug Blocks: 163779    

Description Dominik 'Rathann' Mierzejewski 2006-11-28 22:14:18 UTC
Spec URL: http://rpm.greysector.net/extras/tachyon.spec
SRPM URL: http://rpm.greysector.net/extras/tachyon-0.97-1.src.rpm
Description:
A portable, high performance parallel ray tracing system supporting MPI
and multithreaded implementations.  Tachyon is built as a C callable
library, which can be used with the included demo programs or within
your own application.  The distribution also includes a simple scene
file parser front-end which reads a few different formats.

Comment 1 Mamoru TASAKA 2006-11-29 01:05:43 UTC
Well, 
* does fedora accept '-fomit-frame-pointer -ffast-math'?
  Usually these make debugging very difficult.
* Does '-m486' make semse?


Comment 2 Ralf Corsepius 2006-11-29 03:48:53 UTC
(In reply to comment #1)
> * does fedora accept '-fomit-frame-pointer -ffast-math'?
>   Usually these make debugging very difficult.
> * Does '-m486' make semse?

Generally speaking, without having looking into the package: No and no.

Comment 3 Dominik 'Rathann' Mierzejewski 2006-11-29 12:07:00 UTC
-m486 gets overridden by subsequent -march. What's wrong with
-fomit-frame-pointer and -ffast-math?


Comment 4 Mamoru TASAKA 2006-11-29 13:42:45 UTC
As I said in comment #1, both optimizations make debugging very
difficult.

* The former one (-fomit-frame-pointer) may make it impossible to
  debug by gdb.
  http://sources.redhat.com/gdb/current/onlinedocs/gdb_7.html
* -ffast-math equals
  -fno-math-errno
  -funsafe-math-optimizations
  -fno-trapping-math
  -ffinite-math-only
  -fno-signaling-nans
   i.e.
   1. this optimization means that you trust that there is no mistake
      like 'taking root of negative number' or so, which is very risky.
   2. I don't know if this program needs accuracy, however, 
      -funsafe-math-optimizations usually decreases precision of floating
      point calculation.

Comment 5 Dominik 'Rathann' Mierzejewski 2006-11-29 19:36:56 UTC
http://rpm.greysector.net/extras/tachyon.spec
http://rpm.greysector.net/extras/tachyon-0.97-2.src.rpm

- use only kosher CFLAGS
- fix target macro setting


Comment 6 Mamoru TASAKA 2006-11-30 04:18:25 UTC
This packages meets :
http://fedoraproject.org/wiki/Packaging/Guidelines
http://fedoraproject.org/wiki/Packaging/ReviewGuidelines
Okay.

--------------------------------------------------
  This package (tachyon) is APPROVED by me.

Comment 7 Dominik 'Rathann' Mierzejewski 2006-11-30 12:37:32 UTC
Imported and built for devel, FC-5 and FC-6 branches requested. Thanks for the
review.

Comment 8 Dominik 'Rathann' Mierzejewski 2007-07-07 20:37:22 UTC
Package Change Request
======================
Package Name: tachyon
New Branches: EL-4 EL-5

Comment 9 Kevin Fenzi 2007-07-08 05:08:38 UTC
cvs done.

Comment 10 Dominik 'Rathann' Mierzejewski 2012-10-13 21:52:24 UTC
Package Change Request
======================
Package Name: tachyon
New Branches: el6
Owners: rathann

Comment 11 Gwyn Ciesla 2012-10-15 01:44:51 UTC
Git done (by process-git-requests).